#!/usr/bin/env ruby

puts"フラッシュ暗算ゲーム！"
puts"表示された数字を足していって合計を出してね！"
kaisuu = 0
sum = 0
sleep 1
puts"よーい..."
sleep 2
puts"スタート!"
sleep 1

while kaisuu < 5
  srand
  kazu = rand(10)
  print kazu
  sum += kazu
  sleep 1
  print"\b"
  kaisuu += 1
end

print"さて合計いくら？ : "
start = Time.now.to_i
answer = gets.to_i
finish = Time.now.to_i
time = finish - start

if answer == sum
  puts"おめでとう！正解！"
  printf("正解までのタイム: %d秒\n", time)
else
  puts"はずれー！残念..."
  printf("正解は %d\n", sum)
end
